Subject: Re: [Pce] Shepherd's review of draft-ietf-pce-stateful-pce-app-05

From: "Zhangxian (Xian)" <[email-masked]>
Date: Fri, 8 Jul 2016 08:29:53 +0000

Hi, Jon,
  Thank you very much for the shepherd review. Like to see this draft get moved forward.
We have updated the draft including all the changes you suggested. BTW, I have done the usual idnits check and none found.
(link: https://tools.ietf.org/html/draft-ietf-pce-stateful-pce-app-06).
  Please see my response inline:
Regards,
Xian
[Pce] Shepherd's review of draft-ietf-pce-stateful-pce-app-05

Jonathan Hardwick <[email-masked]> Tue, 28 June 2016 11:54 UTCShow header<https://mailarchive.ietf.org/arch/search/?email_list=pce&q=stateful-pce-app>

From: Jonathan Hardwick <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 28 Jun 2016 11:54:42 +0000
Accept-Language: en-GB, en-US
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Archived-At: <https://mailarchive.ietf.org/arch/msg/pce/puBVxgtm-pIfwxjyfG2qMpuztqU>
Cc: "[email-masked]" <[email-masked]>
Subject: [Pce] Shepherd's review of draft-ietf-pce-stateful-pce-app-05

Hi there

I have reviewed this document as document shepherd.  The document looks ready to be published to me, with a few minor fixes to nits in the text, as I have identified below.

The document has expired.  Please could you make the mark-ups below and refresh the document?

Many thanks

Jon

Section 3

Discovery is now defined in the base stateful PCE draft.  Replace reference to [I-D.sivabalan-pce-disco-stateful] with [I-D.ietf-pce-stateful-pce].

[Xian]: ok

Section 4

4.2 "loading sharing" should be "load sharing".

4.3 "synchronizations procedures" should be "synchronization procedure"

4.3 "a network nodes" should be "a network node"

[Xian]: all rectified.

Section 5

5.3 says:

   If an active stateful PCE is available, the PCE can trigger

   the setup/deletion of scheduled requests in a centralized manner,

   without modification of existing head-end behaviors, by notifying the

   PCCs to set up or tear down the paths.

This would imply the stateful PCE was doing LSP initiation.  But LSP initiation does not seem to be covered by this document (not mentioned in section 3 or references) so this sentence seems misplaced.  Should it be removed?

[Xian]: As described in the initiation draft, it is still a kind of stateful PCE. So I would like to keep this sentence by introducing the PCE initiation draft in Section 3 plus adding a reference to this section. Does it work for you?

5.4.1

"is for a working or for protection" should be "is for a working path or for protection".

"report the resource by a working or protection path" should be "report the resource as a working or protection path".

"compute carry out" should be "compute"

[Xian]: OK.

5.4.2

"exploited" sounds like a security breach.  Instead, say "used".

[Xian]: Sure.

References

[I-D.ietf-pce-questions] is now [RFC7399].

[I-D.ietf-ccamp-flexi-grid-fwk] is now [RFC7698].

[I-D.ietf-ccamp-wson-signal-compatibility-ospf] is now [RFC7688].

[I-D.ietf-ccamp-gmpls-general-constraints-ospf-te] is now [RFC7580].

Remove reference to [I-D.sivabalan-pce-disco-stateful].

[Xian]: all updated.